Jump to content
Froxlor Forum
  • 1
tmuecksch

Debian 9 Stretch Support?

Question

Hey,

kurze Frage. Laut Debian-Wiki wird Debian 9 "Stretch" am 16.06.2017 offizielle released und damit stable (Link: https://wiki.debian.org/DebianStretch#Before_the_release).

Ich möchte einen neuen Debian-Server mit Froxlor aufsetzen. Unterstützt Froxlor bereits Debian Stretch? Oder soll ich lieber Jessie nehmen?

 

PS.: Über die Foren-Suche konnte ich leider keine Antwort darauf finden.

Liebe Grüße 
tmuecksch

Share this post


Link to post
Share on other sites

14 answers to this question

Recommended Posts

  • 1

Froxlor ansich gar kein Problem. Es gibt nur keine config templates für Stretch bisher. Mit 2-3 Anpassungen sollten die Jessie configs unter Stretch aber laufen.

Share this post


Link to post
Share on other sites
  • 0

Vergiss nicht uns wissen zu lassen was bei deinem Versuch herausgekommen ist. Wenn du über Probleme stolperst und diese behebst sind dir andere vielleicht dann dankbar, welche ebenfalls die Forensuche bemühen und dann diesen Thread finden :)

Share this post


Link to post
Share on other sites
  • 0

Ich habe bisher die Templates von Jessie auf einem frischen Stretch-minimal genutzt und keine Probleme bisher. Einzig, man muss halt komplett auf libnss-extrausers einstellen. Da eh noch kein deb-paket da ist, nutze ich die Version aus git-repo (0.9.38.7 (DB: 201705050))

In den default-Einstellungen von Froxlor muss man auch bissl aufpassen, da wird häufig auf irgendwelche php5-* Dateien/Pfade referenziert. Bei Stretch ist alles php7.0-* bzw kann man meist die Aliase php-* nutzen.

 

 

Share this post


Link to post
Share on other sites
  • 0

@snoopotic , Kannst Du bitte ein bisschen mehr schreiben was genau in config templates muss man aufpassen damit Froxlor unter Debian 9 Stretch läuft ?

Share this post


Link to post
Share on other sites
  • 0
On 14.6.2017 at 2:55 PM, d00p said:

Froxlor ansich gar kein Problem. Es gibt nur keine config templates für Stretch bisher. Mit 2-3 Anpassungen sollten die Jessie configs unter Stretch aber laufen.

Hallo!

Ich muss ziemlich bald (am liebsten gestern) einen Server mit PHP7 Support und Froxlor aufsetzen. Das würde ich natürlich gern mit der jeweils aktuellsten Version machen (Debian).

Welche 2-3 Anpassungen sind das? Geht es hier lediglich um Pfade?

Share this post


Link to post
Share on other sites
  • 0
16 hours ago, Roger said:

Welche 2-3 Anpassungen sind das? Geht es hier lediglich um Pfade?

Bisher hat es bei mir bei Postfix gehangen, aber das konnte man problemlos finden und anpassen, froxlor selbst und auch die generierten webserver configs etc. funktionieren alle wunderbar. 

Share this post


Link to post
Share on other sites
  • 0

Und schon hätte ich die ersten Fragen, wenn ich hier darf?

Ich würde das System gern mit PHP-FPM aufsetzen. Wenn ich das richtig verstehe, muss ich aber zunächst eine Art Standardinstallation mit mod_php machen, um Froxlor zu installieren. Richtig? Wird hier beschrieben: 

 

Wenn ich das richtig verstehe, ist die Froxlor Anleitung für PHP-FPM ohnehin veraltet, da es libapache2-mod-fastcgi nicht mehr gibt. Ich würde mich freuen, wenn hier jemand mir eine Anleitung zeigen kann (oder mehrere), welche Froxlor mit Debian 9 (Strech) und PHP-FPM ans Laufen bekommt.

Share this post


Link to post
Share on other sites
  • 0

Hallo,

ich habe, nachdem es einen meiner Webserver zerlegt hat, bereits eine Debian/strech Installation laufen. Wie bereits von den anderen geschrieben, läuft alles soweit ganz gut, Probleme machte etwas Postfix. Aber das sind nur ein paar Kleinigkeiten.

Mir hat sehr dieser Post sehr geholfen:

LG
Tobias

Share this post


Link to post
Share on other sites
  • 0

Ist es eigentlich geplant, dass die Konfig-Templates irgendwann mal eingepflegt werden und man froxlor so installieren kann, wie es unter Debian 8 war?

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...